ocsd_c_api_cust_fact.h File Reference
`#include "ocsd_c_api_types.h"`
`#include "ocsd_c_api_custom.h"`
Include dependency graph for ocsd_c_api_cust_fact.h:

Go to the source code of this file.

## Functions

ocsd_err_t | CreateCustomDecoder (const int create_flags, const void *decoder_cfg, ocsd_extern_dcd_inst_t *p_decoder_inst)
ocsd_err_t | DestroyCustomDecoder (const void *decoder_handle)
ocsd_err_t | GetCSIDFromConfig (const void *decoder_cfg, unsigned char *p_csid)
ocsd_err_t | PacketToString (const void *trc_pkt, char *buffer, const int buflen)

## Function Documentation

## CreateCustomDecoder()

ocsd_err_t CreateCustomDecoder | ( | const int | create_flags,
|  | const void * | decoder_cfg,
|  | ocsd_extern_dcd_inst_t * | p_decoder_inst
| ) |  |

Required function to create a decoder instance - fills in the decoder struct supplied.

## DestroyCustomDecoder()

ocsd_err_t DestroyCustomDecoder | ( | const void * | decoder_handle | ) |

Required Function to destroy a decoder instance - indicated by decoder handle

## GetCSIDFromConfig()

ocsd_err_t GetCSIDFromConfig | ( | const void * | decoder_cfg,
|  | unsigned char * | p_csid
| ) |  |

Required Function to extract the CoreSight Trace ID from the configuration structure

## PacketToString()

ocsd_err_t PacketToString | ( | const void * | trc_pkt,
|  | char * | buffer,
|  | const int | buflen
| ) |  |

Optional Function to convert a protocol specific trace packet to human readable string